﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.IO;
using AddressSolution.AddressRules;
using AddressSolution.Dao;

namespace AddressSolution
{
    class Program
    {
        static void Main(string[] args)
        {
            // Read from Excel
            List<string> addressList = new ExcelDao().GetExcel();

            // Parse Address
            List<string> parsedAddressList = new ParseAddress().Parse(addressList);

            // Write to file
            File.WriteAllLines(ConfigurationManager.AppSettings["outputResult"], parsedAddressList);

            Console.WriteLine("Successfully Completed");
            Console.ReadKey();
        }
    }
}
