﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace ArchieSolution.Models
{
    public class Skeleton : Validation
    {
        [Range(0, 2, ErrorMessage = "Value for {0} must be between {1} and {2}.")]
        public int Wingbone { get; set; }

        [Range(0, 2, ErrorMessage = "Value for {0} must be between {1} and {2}.")]
        public int HandThing { get; set; }

        [Range(0, 1, ErrorMessage = "Value for {0} must be between {1} and {2}.")]
        public int Skull { get; set; }

        [Range(0, 300, ErrorMessage = "Value for {0} must be between {1} and {2}.")]
        public int Teeth { get; set; }

        [Range(0, 2, ErrorMessage = "Value for {0} must be between {1} and {2}.")]
        public int Feet { get; set; }

        [Range(0, 1, ErrorMessage = "Value for {0} must be between {1} and {2}.")]
        public int Tail { get; set; }

        [Range(0, 1, ErrorMessage = "Value for {0} must be between {1} and {2}.")]
        public int Spine { get; set; }
    }
}