﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Text;

/// <summary>
/// Summary description for CartItem
/// </summary>
public class CartItem
{
   public Account cartAccount;

   public string Display()
   {
      StringBuilder sb = new StringBuilder();
      sb.Append("ACCOUNT: ");
      sb.Append(cartAccount.iAccountID.ToString());
      sb.Append(" NAME: ");
      sb.Append(cartAccount.mLastName.ToUpper() + ", " + cartAccount.mMiddleName + " " + cartAccount.mFirstName);
      sb.Append(" CASH: " + cartAccount.dAmountPaidCash.ToString() + " CHEQUE: " + cartAccount.dAmountPaidCheque.ToString());
      if (cartAccount.dAmountPaidCheque > 0.0M)
         sb.Append(" CHEQUE #: " + cartAccount.iChequeNumber.ToString());

      return sb.ToString();
   }
}