﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="ContactUs.aspx.cs" Inherits="ContactUs" %>

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="ajaxToolkit" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" Runat="Server">
   <style type="text/css">
      .style1
      {
         float: left;
         width: 633px;
      }
      .style2
      {
         width: 72px;
      }
      .style4
      {
         width: 72px;
         height: 26px;
      }
      .style6
      {
         height: 26px;
      }
      </style>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" Runat="Server">
   <asp:UpdatePanel ID="UpdatePanel1" runat="server">
   <ContentTemplate>

   <div>
   <h2>
      Drop us a line</h2>
   <p>
      Use the form below to get in touch with us. We love getting feed-back about the program, 
      so feel free to contact us.</p>
   
   <br />

   <table runat="server" id="tblMessage">
      <tr>
         <td class="style4">
            Subject:</td>
         <td class="style6">
            </td>
         <td class="style6">
            <asp:TextBox ID="txtboxSubject" runat="server" AutoCompleteType="Disabled" 
               Width="500px" CssClass="eitField" ></asp:TextBox>
            <ajaxToolkit:TextBoxWatermarkExtender ID="txtboxSubject_TextBoxWatermarkExtender" 
               runat="server" Enabled="True" TargetControlID="txtboxSubject" 
               WatermarkCssClass="watermarked" 
               WatermarkText="Please enter relevant subject for your comments.">
            </ajaxToolkit:TextBoxWatermarkExtender>
            &nbsp;&nbsp;
            <asp:RequiredFieldValidator ID="RequiredFieldValidatorSubject" runat="server" ErrorMessage="Subject is a required field and cannot be empty." ControlToValidate="txtboxSubject" CssClass="failureNotification" Display="Dynamic" Text="*" ValidationGroup="ValidationGroupSend"></asp:RequiredFieldValidator>
         </td>
      </tr>
      <tr>
         <td class="style2">
            &nbsp;</td>
         <td>
            &nbsp;</td>
         <td>
            &nbsp;</td>
      </tr>
      <tr>
         <td class="style2" valign="top">
            Comments:</td>
         <td>
            &nbsp;</td>
         <td>
            <asp:TextBox ID="txtboxComments" runat="server" AutoCompleteType="Disabled" 
               Height="133px" TextMode="MultiLine" Width="500px" CssClass="eitField"></asp:TextBox>
            <ajaxToolkit:TextBoxWatermarkExtender ID="txtboxComments_TextBoxWatermarkExtender" 
               runat="server" Enabled="True" TargetControlID="txtboxComments" 
               WatermarkCssClass="watermarked" WatermarkText="Please enter your detailed comments.">
            </ajaxToolkit:TextBoxWatermarkExtender>
            &nbsp;&nbsp;
            <asp:RequiredFieldValidator ID="RequiredFieldValidatorComment" runat="server" ErrorMessage="Comments is a required field and cannot be empty." ControlToValidate="txtboxComments" CssClass="failureNotification" Display="Dynamic" Text="*" ValidationGroup="ValidationGroupSend"></asp:RequiredFieldValidator>
         </td>
      </tr>
      <tr>
         <td class="style2">
            &nbsp;</td>
         <td>
            &nbsp;</td>
         <td>
            &nbsp;</td>
      </tr>
      <tr>
         <td class="style2">
            &nbsp;</td>
         <td>
            &nbsp;</td>
         <td>
            <asp:Button ID="btnSend" runat="server" Text="Send" Width="76px" 
               onclick="btnSend_Click" ValidationGroup="ValidationGroupSend" 
               CssClass="eitField" />
         </td>
      </tr>
      <tr>
         <td class="style2">
            &nbsp;</td>
         <td>
            &nbsp;</td>
         <td>
            &nbsp;</td>
      </tr>
      <tr>
         <td class="style2">
            &nbsp;</td>
         <td>
            &nbsp;</td>
         <td>
            <asp:ValidationSummary ID="ValidationSummary1" runat="server" CssClass="failureNotification" ValidationGroup="ValidationGroupSend" 
               Width="500px" />
         </td>
      </tr>
      <tr>
         <td class="style2">
            &nbsp;</td>
         <td>
            &nbsp;</td>
         <td>
            &nbsp;</td>
      </tr>
   </table>
   </div>

   <div>      
   <asp:Label ID="lblSuccess" runat="server" Text="Your message has been successfully sent to the BERP Administration Team." Visible="False"></asp:Label>
   </div>

   </ContentTemplate>
   </asp:UpdatePanel>

   <asp:UpdateProgress ID="UpdateProgress1" runat="server" DisplayAfter="100" AssociatedUpdatePanelID="UpdatePanel1">
      <ProgressTemplate>
         <div class="PleaseWait">
            Please wait ...
         </div>
      </ProgressTemplate>
   </asp:UpdateProgress>

</asp:Content>

