﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.DynamicData;

namespace TicketCenter_Data
{
    //  Attach the CommitteeMetadata to the Committee class
    [MetadataType(typeof(CommitteeMetadata))]
    public partial class Committee
    {
    }

    [TableName("Committee")]
    public class CommitteeMetadata
    {
        // Override the display name
        [DisplayName("Committee Name")]
        public object CommitteeName { get; set; }

        [DisplayName("Chairperson Phone")]
        public object ChairpersonPhone { get; set; }

        [DisplayName("Chairperson Email")]
        public object ChairpersonEmail { get; set; }

        [DisplayName("Contact Person")]
        public object ContactPerson { get; set; }

        [DisplayName("Contact Person Phone")]
        public object ContactPersonPhone { get; set; }

        [DisplayName("Contact Person Email")]
        public object ContactPersonEmail { get; set; }
    }
}
