﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Services;
using System.Web.Script.Serialization;

namespace TicketCenter_DynamicData
{
    /// <summary>
    /// Summary description for CurrentEvents
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    [System.Web.Script.Services.ScriptService]
    public class CurrentEvents : System.Web.Services.WebService
    {

        [WebMethod]
        public string HelloWorld()
        {
            return "Hello World";
        }

        [WebMethod]
        public string GetCurrentEvents()
        {
            var json = new JavaScriptSerializer();

            using (var ITC = new TicketCenter_Data.ITCDataContext())
            {
                var query = from ue in ITC.CurrentEvents
                            select ue;
                int count = query.Count();

                return json.Serialize(query);
            }
        }
    }
}
