<%@ Page Language="C#" AutoEventWireup="true" CodeFile="LoadCOE.aspx.cs" Inherits="LoadCOE" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Load COE Events to PP Database</title>
    <link href="styles/StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:GridView ID="coeGridView" runat="server" 
            Style="z-index: 100; left: 19px; position: absolute; top: 39px"
            ForeColor="#333333"
            CellPadding="2"
            BorderStyle="Inset"
            BorderWidth="1px"
            ShowFooter="True"
            >
            <HeaderStyle BackColor="#1F314F"   ForeColor="White"/>
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <AlternatingRowStyle BackColor="White"  CssClass="oddRow" />
            <FooterStyle BackColor="#1F314F" ForeColor="White" Font-Bold="True" />
        </asp:GridView>
        <asp:Button ID="LoadPPDBButton" runat="server" Style="z-index: 102; left: 17px;
            position: absolute; top: 7px" Text="Load PPDB" OnClick="LoadPPDBButton_Click" />
        
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:cnPPDB %>"
            SelectCommand="mspCOEDataInsertUpdateControl" SelectCommandType="StoredProcedure"
            UpdateCommand="mspCOEDataInsertUpdateControl" UpdateCommandType="StoredProcedure">
            <UpdateParameters>
                <asp:Parameter Name="ProjectTitle" Type="String" />
                <asp:Parameter Name="COENumber" Type="String" />
                <asp:Parameter Name="EventCategoryID" Type="Int32" />
                <asp:Parameter Name="ProjectDescription" Type="String" />
                <asp:Parameter Name="ProjectNotes" Type="String" />
                <asp:Parameter Name="CreatedBy" Type="String" />
                <asp:Parameter Name="ModifiedBy" Type="String" />
                <asp:Parameter Name="PrimaryBoardPortfolioID" Type="Int32" />
                <asp:Parameter Name="KeyPartners" Type="String" />
                <asp:Parameter Name="PrimaryTargetSegmentID" Type="Int32" />
                <asp:Parameter Name="SecondaryTargetSegments" Type="String" />
                <asp:Parameter Name="ExpectedParticipants" Type="Int16" />
                <asp:Parameter Name="ProposedStartDateParam" Type="String" />
                <asp:Parameter Name="ProposedStartTimeParam" Type="String" />
                <asp:Parameter Name="ProposedEndDateParam" Type="String" />
                <asp:Parameter Name="ProposedEndTimeParam" Type="String" />
                <asp:Parameter Name="ProposedJKLocationID" Type="Int32" />
            </UpdateParameters>
            <SelectParameters>
                <asp:Parameter Name="ProjectTitle" Type="String" />
                <asp:Parameter Name="COENumber" Type="String" />
                <asp:Parameter Name="EventCategoryID" Type="Int32" />
                <asp:Parameter Name="ProjectDescription" Type="String" />
                <asp:Parameter Name="ProjectNotes" Type="String" />
                <asp:Parameter Name="CreatedBy" Type="String" />
                <asp:Parameter Name="ModifiedBy" Type="String" />
                <asp:Parameter Name="PrimaryBoardPortfolioID" Type="Int32" />
                <asp:Parameter Name="KeyPartners" Type="String" />
                <asp:Parameter Name="PrimaryTargetSegmentID" Type="Int32" />
                <asp:Parameter Name="SecondaryTargetSegments" Type="String" />
                <asp:Parameter Name="ExpectedParticipants" Type="Int16" />
                <asp:Parameter Name="ProposedStartDateParam" Type="String" />
                <asp:Parameter Name="ProposedStartTimeParam" Type="String" />
                <asp:Parameter Name="ProposedEndDateParam" Type="String" />
                <asp:Parameter Name="ProposedEndTimeParam" Type="String" />
                <asp:Parameter Name="ProposedJKLocationID" Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
