<%@ Page Language="C#" AutoEventWireup="true" CodeFile="budgetsummary.aspx.cs" Inherits="BudgetSummary" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Project Budget Summary</title>
    <script language="javascript">
        //if(self.location==top.location)self.location="Default.html";
    </script>
    <script language="javascript" src="scripts/ClientUtilities.js"></script>
    <link href="styles/StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body class="body" runat="server" id="body">
    <form id="form1" runat="server" enableviewstate="false">
        <div id="pageContentDiv" style="font-weight:normal; font-family:Arial; font-size: 10pt;">

            <div id="titleDiv" style="left: 5px; width: 664px; position: absolute; top: 0px;
                height: 88px; font-weight:normal; font-family:Arial; font-size: 10pt;">
                
                <asp:Label ID="coeRefNumLabel" runat="server" Style="z-index: 100; left: 0px; position: absolute;
                    top: 8px" Text="Event #" Font-Names="Arial" Font-Size="10pt" Font-Bold="True"></asp:Label>
                <asp:Label ID="coeRefNumValueLabel" runat="server" Style="z-index: 101; left: 59px; position: absolute;
                    top: 8px" Font-Names="Arial" Font-Size="10pt" Font-Bold="True">000</asp:Label>

                <asp:Label ID="glCodeLabel" runat="server" Font-Names="Arial" Font-Size="10pt" Style="z-index: 112;
                    left: 102px; position: absolute; top: 8px" Text="GL Code:"></asp:Label>
                <asp:Label ID="glCodeValueLabel" runat="server" Style="z-index: 101; left: 163px; position: absolute;
                    top: 8px" Font-Names="Arial" Font-Size="10pt" Width="50px">1234567</asp:Label>
                &nbsp;&nbsp;
                
                <asp:Label ID="boardPortfolioValueLabel" runat="server" Style="left: 225px; position: absolute;
                    top: 8px" Width="338px">BoardPortfolio Value Label</asp:Label>
                    
                <div class="hideForPrint">
                    <span id="openNewLink" style="left: 475px; position: absolute; top: 8px;">
                        <a href="javascript:void(0);" onclick="window.open('budgetsummary.aspx?ProjectId=<%=Convert.ToInt32(Request.QueryString["ProjectID"]) %>', 'BudgetSummary', 'height=600,width=687,scrollbars=yes,menubar=no,directories=no,resizable=yes,toolbar=no,location=no,status=no');">Open in new window</a>
                    </span>
                    
                    <span id="printLink" style="left: 618px; position: absolute; top: 8px;">
                        <a href="javascript:void(0);" onclick="window.print();">Print</a>
                    </span>
                </div>
                <asp:Label ID="proposalStatusLabel" runat="server" Style="z-index: 102; left: 0px; position: absolute;
                    top: 68px" Text="Status:" Font-Names="Arial" Font-Size="10pt"></asp:Label>
                <asp:Label ID="proposalStatusValueLabel" runat="server" Style="z-index: 103; left: 59px; position: absolute;
                    top: 68px" Text="Status Value Label" Font-Names="Arial" Font-Size="10pt"></asp:Label>
                
                <asp:Label ID="projectTitleValueLabel" runat="server" Style="z-index: 105; left: 0px; position: absolute;
                    top: 26px" Text="The Title of the Project" Font-Names="Arial" Font-Size="10pt"></asp:Label>
                &nbsp;&nbsp;&nbsp;&nbsp;
                <asp:Label ID="eventDateValueLabel" runat="server" Style="left: 0px; position: absolute;
                    top: 46px" Visible="False"></asp:Label>
                &nbsp; &nbsp; &nbsp;
            </div>
            
            <div id="budgetSectionDiv" style="z-index: 119; left: 5px; width: 650px; position: absolute;
                top: 97px; height: 800px; font-weight:normal; font-family:Arial; font-size: 10pt;">
                &nbsp;
                <asp:Label ID="budgetHeadingLabel" runat="server" Font-Bold="True" Style="z-index: 100; left: 2px;
                    position: absolute; top: 2px" Text="Budget Details" Font-Names="Arial" Font-Size="10pt"></asp:Label>
                     
                <div id="budgetDetailsDiv" style="z-index: 115; left: 2px; width: 564px; position: absolute;
                    top: 26px; height: 134px; font-weight:normal; font-family:Arial; font-size: 10pt;">
                        
                    <asp:Label ID="RevenueLabel" runat="server" Text="REVENUE"></asp:Label>&nbsp;
                    <table  style="border:thin,10px;" id="detailedHeader" border=0 width="650px" >
                        <tr align="left" valign="top" >
                            <td style="width: 750px"  >
                                 <asp:GridView ID="RevenueGridView" runat="server"
                                        AutoGenerateColumns="False" DataSourceID="RevenueSqlDataSource" Width="650px" ShowFooter="True"  DataKeyNames="ProjectId,BudgetAccountID" 
                                        CellPadding="2" GridLines="None" ForeColor="#333333" BorderStyle="Inset" BorderWidth="1px"  
                                        OnRowDataBound="RevenueGridView_RowDataBound" 
                                 >
                                <HeaderStyle BackColor="#1F314F"   ForeColor="White"/>
                                <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                                <AlternatingRowStyle BackColor="White"  CssClass="oddRow" />
                                <FooterStyle BackColor="#1F314F" ForeColor="White" Font-Bold="True" />
                                <Columns>
                                    <asp:BoundField DataField="ProjectID" HeaderText="ProjectID" SortExpression="ProjectID" ReadOnly="True" Visible=False />
                                    <asp:BoundField DataField="Project_RevenueID" HeaderText="Project_RevenueID" SortExpression="Project_RevenueID" ReadOnly="True" Visible=False />
                                    <asp:BoundField DataField="BudgetAccountID" HeaderText="BudgetAccountID" ReadOnly="True"  SortExpression="BudgetAccountID" Visible=False  />
                                    
                                    <asp:BoundField DataField="BudgetAccountCode" HeaderText="Code" SortExpression="BudgetAccountCode"  ReadOnly=True ItemStyle-Width="100">
                                        <ItemStyle CssClass="DataBoundColumnWidth" />
                                        <HeaderStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="BudgetAccountDescription" HeaderText="Description" SortExpression="BudgetAccountDescription" ReadOnly="True" FooterStyle-Width="180px" ItemStyle-Width="180">
                                        <ItemStyle CssClass="DataBoundColumnWidth" />
                                        <HeaderStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="ApprovedBudget" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right" 
                                        HeaderText="Approved O&S" SortExpression="ApprovedBudget" DataFormatString="{0:C}"  ApplyFormatInEditMode=true
                                        ItemStyle-CssClass="DataBoundColumnWidth" ControlStyle-Width="100px" Visible="true"
                                    ItemStyle-Width="103" />

                                    <asp:BoundField DataField="Expected" HeaderText="Expected" SortExpression="Expected" DataFormatString="{0:C}"  ApplyFormatInEditMode=True ItemStyle-Width="100px">
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>

                                    <asp:BoundField DataField="Actual" HeaderText="Actual" SortExpression="Actual" DataFormatString="{0:C}"  ApplyFormatInEditMode=True ItemStyle-Width="95px">
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="Variance" HeaderText="Variance" SortExpression="Variance" DataFormatString="{0:C}"  ApplyFormatInEditMode=True  ReadOnly=True>
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="ParentWithChildren" HeaderText="HasChildren" SortExpression="ParentWithChildren" DataFormatString="{0:C}"  ApplyFormatInEditMode=True  ReadOnly=True Visible=False>
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                </Columns>
                            </asp:GridView>
                                
                            <asp:SqlDataSource ID="RevenueSqlDataSource" runat="server" />
                            </td>
                            <td style="width: 517px">
                                &nbsp;
                            
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Label ID="ExpensesLabel" runat="server" Text="EXPENSES"></asp:Label>&nbsp;
                    <table  style="border:thin,10px;" id="ExpensesTable" border=0 width="650px" >
                        <tr align="left" valign="top" >
                            <td style="width: 750px"  >
                                 <asp:GridView ID="ExpensesGridView" runat="server"
                                        AutoGenerateColumns="False" DataSourceID="ExpensesSqlDataSource" Width="650px" ShowFooter="True"  DataKeyNames="ProjectId,BudgetAccountID" 
                                        CellPadding="2" GridLines="None" ForeColor="#333333" BorderStyle="Inset" BorderWidth="1px"  
                                        OnRowDataBound="ExpensesGridView_RowDataBound" 
                                 >
                                <HeaderStyle BackColor="#1F314F"   ForeColor="White"/>
                                <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                                <AlternatingRowStyle BackColor="White"  CssClass="oddRow" />
                                <FooterStyle BackColor="#1F314F" ForeColor="White" Font-Bold="True" />
                                <Columns>
                                    <asp:BoundField DataField="ProjectID" HeaderText="ProjectID" SortExpression="ProjectID" ReadOnly="True" Visible=False />
                                    <asp:BoundField DataField="Project_RevenueID" HeaderText="Project_RevenueID" SortExpression="Project_RevenueID" ReadOnly="True" Visible=False />
                                    <asp:BoundField DataField="BudgetAccountID" HeaderText="BudgetAccountID" ReadOnly="True"  SortExpression="BudgetAccountID" Visible=False  />
                                    
                                    <asp:BoundField DataField="BudgetAccountCode" HeaderText="Code" SortExpression="BudgetAccountCode"  ReadOnly=True ItemStyle-Width="100">
                                        <ItemStyle CssClass="DataBoundColumnWidth" />
                                        <HeaderStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="BudgetAccountDescription" HeaderText="Description" SortExpression="BudgetAccountDescription" ReadOnly="True" ItemStyle-Width="180">
                                        <ItemStyle CssClass="DataBoundColumnWidth" />
                                        <HeaderStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="ApprovedBudget" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right" 
                                        HeaderText="Approved O&S" SortExpression="ApprovedBudget" DataFormatString="{0:C}"  ApplyFormatInEditMode=true
                                        ItemStyle-CssClass="DataBoundColumnWidth" ControlStyle-Width="100px" Visible="true"
                                    ItemStyle-Width="103" />

                                    <asp:BoundField DataField="Expected" HeaderText="Expected" SortExpression="Expected" DataFormatString="{0:C}"  ApplyFormatInEditMode=True ItemStyle-Width="100px">
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>

                                    <asp:BoundField DataField="Actual" HeaderText="Actual" SortExpression="Actual" DataFormatString="{0:C}"  ApplyFormatInEditMode=True ItemStyle-Width="95px">
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="Variance" HeaderText="Variance" SortExpression="Variance" DataFormatString="{0:C}"  ApplyFormatInEditMode=True  ReadOnly=True>
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="ParentWithChildren" HeaderText="HasChildren" SortExpression="ParentWithChildren" DataFormatString="{0:C}"  ApplyFormatInEditMode=True  ReadOnly=True Visible=False>
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                </Columns>
                            </asp:GridView>
                                
                            <asp:SqlDataSource ID="ExpensesSqlDataSource" runat="server" />
                            </td>
                            <td style="width: 517px">
                                &nbsp;
                            
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Label ID="NetIncomeLossLabel" runat="server" Text="NET INCOME /(LOSS)"></asp:Label>&nbsp;
                    <table  style="border:thin,10px;" id="Table1" border=0 width="650px" >
                        <tr align="left" valign="top" >
                            <td style="width: 750px"  >
                                 <asp:GridView ID="NetIncomeLossGridView" runat="server"
                                        AutoGenerateColumns="False" DataSourceID="HRSqlDataSource" Width="650px" ShowHeader="false" ShowFooter="True"  DataKeyNames="ProjectId,BudgetAccountID" 
                                        CellPadding="2" GridLines="None" ForeColor="#333333" BorderStyle="Inset" BorderWidth="1px"
                                        OnRowDataBound="NetIncomeLossGridView_RowDataBound"
                                 >
                                <FooterStyle BackColor="#1F314F" ForeColor="White" Font-Bold="True" />
                                <Columns>
                                    <asp:BoundField DataField="ProjectID" HeaderText="ProjectID" SortExpression="ProjectID" ReadOnly="True" Visible=False />
                                    <asp:BoundField DataField="Project_RevenueID" HeaderText="Project_RevenueID" SortExpression="Project_RevenueID" ReadOnly="True" Visible=False />
                                    <asp:BoundField DataField="BudgetAccountID" HeaderText="BudgetAccountID" ReadOnly="True"  SortExpression="BudgetAccountID" Visible=False  />
                                    
                                    <asp:BoundField DataField="BudgetAccountCode" HeaderText="Code" SortExpression="BudgetAccountCode"  ReadOnly=True FooterStyle-Width="100">
                                        <ItemStyle CssClass="DataBoundColumnWidth" />
                                        <HeaderStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="BudgetAccountDescription" HeaderText="Description" SortExpression="BudgetAccountDescription" ReadOnly="True" FooterStyle-Width="140">
                                        <ItemStyle CssClass="DataBoundColumnWidth" />
                                        <HeaderStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="ApprovedBudget" 
                                        HeaderText="Approved O&amp;S" SortExpression="ApprovedBudget" DataFormatString="{0:C}" ApplyFormatInEditMode=True FooterStyle-Width="93">
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>

                                    <asp:BoundField DataField="Expected" HeaderText="Expected" SortExpression="Expected" DataFormatString="{0:C}"  ApplyFormatInEditMode=True FooterStyle-Width="87">
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>

                                    <asp:BoundField DataField="Actual" HeaderText="Actual" SortExpression="Actual" DataFormatString="{0:C}"  ApplyFormatInEditMode=True FooterStyle-Width="82">
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="Variance" HeaderText="Variance" SortExpression="Variance" DataFormatString="{0:C}"  ApplyFormatInEditMode=True  ReadOnly=True>
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="ParentWithChildren" HeaderText="HasChildren" SortExpression="ParentWithChildren" DataFormatString="{0:C}"  ApplyFormatInEditMode=True  ReadOnly=True Visible=False>
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                </Columns>
                            </asp:GridView>
                            </td>
                            <td style="width: 517px">
                                &nbsp;
                            </td>
                        </tr>
                    </table>

                    <hr width="655" /><br />
                    <asp:Label ID="HRLabel" runat="server" Text="HR"></asp:Label>&nbsp;
                    <table  style="border:thin,10px;" id="Table2" border=0 width="650px" >
                        <tr align="left" valign="top" >
                            <td style="width: 750px"  >
                                 <asp:GridView ID="HRGridView" runat="server"
                                        AutoGenerateColumns="False" DataSourceID="HRSqlDataSource" Width="650px" ShowFooter="True"  DataKeyNames="ProjectId,BudgetAccountID" 
                                        CellPadding="2" GridLines="None" ForeColor="#333333" BorderStyle="Inset" BorderWidth="1px"  
                                 >
                                <SelectedRowStyle BackColor="Beige" Font-Bold="False" ForeColor="#333333"/>
                                <FooterStyle BackColor="#1F314F" ForeColor="White" Font-Bold="True" />
                                <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                                <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                                <HeaderStyle BackColor="#1F314F"   ForeColor="White"/>
                               <EditRowStyle BackColor="LightSteelBlue"/>
                               <AlternatingRowStyle BackColor="White"  CssClass="oddRow" />
                                <Columns>
                                    <asp:BoundField DataField="ProjectID" HeaderText="ProjectID" SortExpression="ProjectID" ReadOnly="True" Visible=False />
                                    <asp:BoundField DataField="Project_RevenueID" HeaderText="Project_RevenueID" SortExpression="Project_RevenueID" ReadOnly="True" Visible=False />
                                    <asp:BoundField DataField="BudgetAccountID" HeaderText="BudgetAccountID" ReadOnly="True"  SortExpression="BudgetAccountID" Visible=False  />
                                    
                                    <asp:BoundField DataField="BudgetAccountCode" HeaderText="" SortExpression="BudgetAccountCode"  ReadOnly=True ItemStyle-Width="125">
                                        <ItemStyle CssClass="DataBoundColumnWidth" />
                                        <HeaderStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="BudgetAccountDescription" HeaderText="Description" SortExpression="BudgetAccountDescription" ReadOnly="True" ItemStyle-Width="180px">
                                        <ItemStyle CssClass="DataBoundColumnWidth" />
                                        <HeaderStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="ApprovedBudget" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right" 
                                        HeaderText="Approved O&S" SortExpression="ApprovedBudget" HtmlEncode="false" DataFormatString="{0:F0}" ApplyFormatInEditMode=true
                                        ItemStyle-CssClass="DataBoundColumnWidth" ControlStyle-Width="100px" Visible="true"
                                    ItemStyle-Width="103px" />

                                    <asp:BoundField DataField="Expected" HeaderText="Expected" SortExpression="Expected" DataFormatString="{0:F0}" ItemStyle-Width="100px">
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>

                                    <asp:BoundField DataField="Actual" HeaderText="Actual" SortExpression="Actual" DataFormatString="{0:F0}" ItemStyle-Width="95px">
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="Variance" HeaderText="Variance" SortExpression="Variance" DataFormatString="{0:F0}"  ApplyFormatInEditMode=True  ReadOnly=True>
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="ParentWithChildren" HeaderText="HasChildren" SortExpression="ParentWithChildren" DataFormatString="{0:C}"  ApplyFormatInEditMode=True  ReadOnly=True Visible=False>
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                </Columns>
                            </asp:GridView>
                                
                            <asp:SqlDataSource ID="HRSqlDataSource" runat="server" />
                            </td>
                            <td style="width: 517px">
                                &nbsp;
                            
                            </td>
                        </tr>
                    </table>
                    <br />
                    <asp:Label ID="BeneficiariesLabel" runat="server" Text="BENEFICIARIES"></asp:Label>&nbsp;
                    <table  style="border:thin,10px;" id="Table3" border=0 width="650px" >
                        <tr align="left" valign="top" >
                            <td style="width: 750px"  >
                                 <asp:GridView ID="BeneficiariesGridView" runat="server"
                                        AutoGenerateColumns="False" DataSourceID="BeneficiariesSqlDataSource" Width="650px" ShowFooter="True"  DataKeyNames="ProjectId,BudgetAccountID" 
                                        CellPadding="2" GridLines="None" ForeColor="#333333" BorderStyle="Inset" BorderWidth="1px"  
                                 >
                                <SelectedRowStyle BackColor="Beige" Font-Bold="False" ForeColor="#333333"/>
                                <FooterStyle BackColor="#1F314F" ForeColor="White" Font-Bold="True" />
                                <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
                                <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
                                <HeaderStyle BackColor="#1F314F"   ForeColor="White"/>
                               <EditRowStyle BackColor="LightSteelBlue"/>
                               <AlternatingRowStyle BackColor="White"  CssClass="oddRow" />
                                <Columns>
                                    <asp:BoundField DataField="ProjectID" HeaderText="ProjectID" SortExpression="ProjectID" ReadOnly="True" Visible=False />
                                    <asp:BoundField DataField="Project_RevenueID" HeaderText="Project_RevenueID" SortExpression="Project_RevenueID" ReadOnly="True" Visible=False />
                                    <asp:BoundField DataField="BudgetAccountID" HeaderText="BudgetAccountID" ReadOnly="True"  SortExpression="BudgetAccountID" Visible=False  />
                                    
                                    <asp:BoundField DataField="BudgetAccountCode" HeaderText="" SortExpression="BudgetAccountCode"  ReadOnly=True ItemStyle-Width="125">
                                        <ItemStyle CssClass="DataBoundColumnWidth" />
                                        <HeaderStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="BudgetAccountDescription" HeaderText="Description" SortExpression="BudgetAccountDescription" ReadOnly="True" ItemStyle-Width="180px">
                                        <ItemStyle CssClass="DataBoundColumnWidth" />
                                        <HeaderStyle HorizontalAlign="Left" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="ApprovedBudget" ItemStyle-HorizontalAlign="Right" HeaderStyle-HorizontalAlign="Right" 
                                        HeaderText="Approved O&S" SortExpression="ApprovedBudget" DataFormatString="{0:F0}"  ApplyFormatInEditMode=true
                                        ItemStyle-CssClass="DataBoundColumnWidth" ControlStyle-Width="100px" Visible="true"
                                    ItemStyle-Width="103px" />

                                    <asp:BoundField DataField="Expected" HeaderText="Expected" SortExpression="Expected" DataFormatString="{0:F0}" ItemStyle-Width="100px">
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>

                                    <asp:BoundField DataField="Actual" HeaderText="Actual" SortExpression="Actual" DataFormatString="{0:F0}" ItemStyle-Width="95px">
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="Variance" HeaderText="Variance" SortExpression="Variance" DataFormatString="{0:F0}"  ApplyFormatInEditMode=True  ReadOnly=True>
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                    
                                    <asp:BoundField DataField="ParentWithChildren" HeaderText="HasChildren" SortExpression="ParentWithChildren" DataFormatString="{0:F0}"  ApplyFormatInEditMode=True  ReadOnly=True Visible=False>
                                        <ControlStyle Width="100px" />
                                        <ItemStyle CssClass="DataBoundColumnWidth" HorizontalAlign="Right" />
                                        <HeaderStyle HorizontalAlign="Right" />
                                    </asp:BoundField>
                                </Columns>
                            </asp:GridView>
                                
                            <asp:SqlDataSource ID="BeneficiariesSqlDataSource" runat="server" />
                            </td>
                            <td style="width: 517px">
                                &nbsp;
                            
                            </td>
                        </tr>
                    </table>
                </div>
            </div> 
        </div>
        
        <div id="hiddenValues" style="left: 6px; position: absolute; top: 1033px; width: 583px;">
            <input type="hidden" name="projectIDHiddenChild" id="projectIDHiddenChild"/ >
        </div>
    </form>
</body>
</html>
