﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true" CodeFile="SearchAdmin.aspx.cs" Inherits="SearchAdmin" MaintainScrollPositionOnPostback="true" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="Server">
   <style type="text/css">
	  .style5
	  {
		 width: 143px;
	  }
	  .style10
	  {
		 width: 219px;
	  }
	  .style12
	  {
		 width: 316px;
	  }
	  .style13
	  {
		 width: 255px;
	  }
	  .style14
	  {
		 width: 250px;
	  }
	  .style15
	  {
		 width: 66%;
	  }
	  .style50
	  {
		 width: 255px;
		 height: 17px;
	  }
	  .style51
	  {
		 width: 316px;
		 height: 17px;
	  }
	  .style54
	  {
		 width: 101px;
	  }
	  .style55
	  {
		 margin-left: 11px;
	  }
	  .style56
	  {
		 width: 378px;
	  }
	  .style57
	  {
		 height: 17px;
		 width: 378px;
	  }
	  .style58
	  {
		 font-size: 1.2em;
		 color: Red;
		 font-weight: bold;
	  }
	  .style59
	  {
		 width: 316px;
		 height: 266px;
	  }
	  .style60
	  {
		 font-family: "Helvetica Neue" , "Lucida Grande" , "Segoe UI" , Arial, Helvetica, Verdana, sans-serif;
	  }
   </style>
   <script type="text/javascript">
	   function ValidateSearchFields(source, args) {
		   var varAccountID = document.getElementById('<%= txtBoxAccountID.ClientID %>');
		   var varLastName = document.getElementById('<%= txtBoxLastName.ClientID %>');
		   var varFirstName = document.getElementById('<%= txtBoxFirstName.ClientID %>');
		   var varTelephone = document.getElementById('<%= txtBoxTelephone.ClientID %>');

		   if ((varLastName.value != '') || (varFirstName.value != '')) {
			   args.IsValid = true;
		   }
		   else if (varAccountID.value != '') {
			   args.IsValid = true;
		   }
		   else if (varTelephone.value != '') {
			   args.IsValid = true;
		   }
		   else {
			   args.IsValid = false;
		   }
	   }
   </script>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
   
   <asp:UpdatePanel ID="UpdatePanel1" runat="server">
	  <ContentTemplate>

   <div style="float:left; width:"50%">
   <h2>
	  Update Account</h2>
   <p>
	  Please enter at least one search criteria.</p>
   <asp:Panel ID="Panel1" runat="server" GroupingText="Account Search Criteria" 
		 Width="270px" DefaultButton="btnSearch">
	  <table class="style14">
		 <tr>
			<td class="style5">
			   Last Name:
			</td>
			<td class="style10" colspan="2">
			   <asp:TextBox ID="txtBoxLastName" runat="server" AutoCompleteType="Disabled" Width="150px" Height="18px"
				  TabIndex="1"></asp:TextBox>
			   <asp:CustomValidator ID="CustomValidator1" runat="server" ErrorMessage="Please enter at least one search criteria."
				  OnServerValidate="CustomValidator1_ServerValidate" ClientValidationFunction="ValidateSearchFields"
				  Display="Dynamic" ValidationGroup="SearchCriteria" Font-Bold="True" ForeColor="Red">*</asp:CustomValidator>
			</td>
		 </tr>
		 <tr>
			<td class="style5">
			   First Name:
			</td>
			<td class="style10" colspan="2">
			   <asp:TextBox ID="txtBoxFirstName" runat="server" AutoCompleteType="Disabled" Width="150px" Height="18px"
				  TabIndex="2"></asp:TextBox>
			</td>
		 </tr>
		 <tr>
			<td class="style5">
			   Jamatkhana:
			</td>
			<td class="style10" colspan="2">
			   <asp:DropDownList ID="ddlJamatkhana" runat="server" AppendDataBoundItems="True" DataSourceID="adsJK"
				  DataTextField="JKName" DataValueField="JKID" Width="155px" Height="20px" TabIndex="3">
				  <asp:ListItem Value="0">- Select Jamatkhana -</asp:ListItem>
			   </asp:DropDownList>
			</td>
		 </tr>

		 <tr>
			<td class="style5">
			   Telephone:
			</td>
			<td class="style10" colspan="2">
			   <asp:TextBox ID="txtBoxTelephone" runat="server" Width="150px" AutoCompleteType="Disabled" Height="18px"
				  TabIndex="4"></asp:TextBox>
			</td>
		 </tr>

		 <tr>
			<td class="style5">
			   Account ID:
			</td>
			<td class="style10" colspan="2">
			   <asp:TextBox ID="txtBoxAccountID" runat="server" AutoCompleteType="Disabled" Width="150px" Height="18px"
				  TabIndex="5"></asp:TextBox>
			</td>
		 </tr>

		 <tr>
			<td class="style5">
			</td>
			<td class="style54">
			   <asp:Button ID="btnSearch" runat="server" OnClick="btnSearch_Click" Text="Search"
				  Width="65px" TabIndex="6" />
			</td>
			<td class="style10">
			   <asp:Button ID="btnClear" runat="server" Text="Clear" Width="65px" OnClick="btnClear_Click"
				  TabIndex="7" CssClass="style55" />
			</td>
		 </tr>
		 <tr>
			<td colspan="3">
				<asp:ValidationSummary ID="ValidationSummary2" runat="server" CssClass="failureNotification" ValidationGroup="SearchCriteria" />
			</td>
		 </tr>
	  </table>
   </asp:Panel>
   </div>
   <div style="float:left; width:"100%">
   <table class="style15">
	  <tr>
		 <td>
			<h2>
			   Search Results</h2>
		 </td>
		 <td>
			&nbsp;
		 </td>
	  </tr>
	  <tr>
		 <td>
			<asp:GridView ID="gvAccountSearch" runat="server" AllowPaging="True" AutoGenerateColumns="False"
			   CellPadding="4" DataKeyNames="AccountID" DataSourceID="adsSearchAdmin" ForeColor="#333333"
			   GridLines="None" 
			   EmptyDataText="No accounts matching your search criteria were found." SelectedIndex="0"
			   OnPageIndexChanging="gvAccountSearch_PageIndexChanging" Width="680px" 
			   onselectedindexchanged="gvAccountSearch_SelectedIndexChanged" 
			   onselectedindexchanging="gvAccountSearch_SelectedIndexChanging">
			   <AlternatingRowStyle BackColor="#D0FFFF" ForeColor="#284775" />
			   <Columns>
				  <asp:CommandField ShowSelectButton="True" />
				  <asp:BoundField DataField="AccountID" HeaderText="ID" InsertVisible="False" SortExpression="AccountID"
					 HeaderStyle-HorizontalAlign="Left">
					 <HeaderStyle HorizontalAlign="Left"></HeaderStyle>
				  </asp:BoundField>
				  <asp:BoundField DataField="MemberLastName" HeaderText="Last" SortExpression="MemberLastName"
					 HeaderStyle-HorizontalAlign="Left">
					 <HeaderStyle HorizontalAlign="Left"></HeaderStyle>
				  </asp:BoundField>
				  <asp:BoundField DataField="MemberMiddleName" HeaderText="Middle" SortExpression="MemberFirstName"
					 HeaderStyle-HorizontalAlign="Left">
					 <HeaderStyle HorizontalAlign="Left"></HeaderStyle>
				  </asp:BoundField>
				  <asp:BoundField DataField="MemberFirstName" HeaderText="First" SortExpression="MemberFirstName"
					 HeaderStyle-HorizontalAlign="Left">
					 <HeaderStyle HorizontalAlign="Left"></HeaderStyle>
				  </asp:BoundField>
				  <asp:BoundField DataField="AccountRenewalYear" HeaderText="Renewal Year" SortExpression="Renewal Year"
					 HeaderStyle-HorizontalAlign="Left">
					 <HeaderStyle HorizontalAlign="Left"></HeaderStyle>
				  </asp:BoundField>
				  <asp:BoundField DataField="JKName" HeaderText="JK" SortExpression="JKName" HeaderStyle-HorizontalAlign="Left">
					 <HeaderStyle HorizontalAlign="Left"></HeaderStyle>
				  </asp:BoundField>
				  <asp:CheckBoxField DataField="MemberPrimary" HeaderText="Primary" SortExpression="MemberPrimary"
					 ItemStyle-HorizontalAlign="Center">
					 <ItemStyle HorizontalAlign="Center"></ItemStyle>
				  </asp:CheckBoxField>
				  <asp:BoundField DataField="AccountStatus" HeaderText="Account Status" SortExpression="AccountStatus"
					 HeaderStyle-HorizontalAlign="Left">
					 <HeaderStyle HorizontalAlign="Left"></HeaderStyle>
				  </asp:BoundField>
			   </Columns>
			   <EditRowStyle BackColor="#DDDDDD" />
			   <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
			   <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
			   <PagerSettings PageButtonCount="5" />
			   <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
			   <RowStyle BackColor="#EFF3FB" />
			   <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
			   <SortedAscendingCellStyle BackColor="#F5F7FB" />
			   <SortedAscendingHeaderStyle BackColor="#6D95E1" />
			   <SortedDescendingCellStyle BackColor="#E9EBEF" />
			   <SortedDescendingHeaderStyle BackColor="#4870BE" />
			</asp:GridView>
			<br /><br />
			<asp:Label ID="lblRenew" runat="server" Font-Bold="true" />
		 </td>
		 <td>
			&nbsp;
		 </td>
	  </tr>
   </table>
   </div>
   <div style="clear:both; width:"100%">
   <asp:Button ID="btnRenew" runat="server" CssClass="style60" Text="Renew" onclick="btnRenew_Click" />
	  <table style="width: 66%;">
		 <tr>
			<td class="style13" valign="top" rowspan="2">
			   &nbsp;
			   <asp:DetailsView ID="dvAccountDetails" runat="server" Width="320px" AutoGenerateRows="False"
				  CellPadding="4" DataKeyNames="AccountID" DataSourceID="adsAccount" ForeColor="#333333"
				  GridLines="None" HorizontalAlign="Left" AutoGenerateEditButton="True" HeaderText="Account Details:"
				  OnItemUpdating="dvAccountDetails_ItemUpdating">
				  <AlternatingRowStyle BackColor="White" />
				  <CommandRowStyle BackColor="#D1DDF1" Font-Bold="True" />
				  <EditRowStyle BackColor="#DDDDDD" Wrap="False" />
				  <FieldHeaderStyle BackColor="#DEE8F5" Font-Bold="True" />
				  <Fields>
					 <asp:BoundField DataField="AccountID" HeaderText="Account ID:" InsertVisible="False"
						SortExpression="AccountID" ReadOnly="True" HeaderStyle-Width="120px" >
						<HeaderStyle Width="120px"></HeaderStyle>
					 </asp:BoundField>
					 <asp:BoundField DataField="AccountStatusID" Visible="false" HeaderText="StatusID:" ReadOnly="True" />
					 <asp:TemplateField HeaderText="Account Status:" SortExpression="AccountStatus">
						<EditItemTemplate>
						   <asp:DropDownList ID="ddlAccountStatus" runat="server" DataSourceID="adsAccountStatus" CssClass="eitField" DataTextField="AccountStatus"
							  DataValueField="AccountStatusID" Width="100px" SelectedValue='<%# Bind("AccountStatusID") %>'>
						   </asp:DropDownList>
						</EditItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label6" runat="server" Text='<%# Bind("AccountStatus") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:BoundField DataField="AccountRenewalYear" HeaderText="Renewal Year:" SortExpression="AccountRenewalYear"
						ReadOnly="True" />
					 <asp:BoundField DataField="AccountJamatkhanaID" Visible="false" HeaderText="JamatkhanaID:" ReadOnly="True" />
					 <asp:TemplateField HeaderText="Jamatkhana:" SortExpression="JKName">
						<EditItemTemplate>
						   <asp:DropDownList ID="ddlJamatkhana" runat="server" DataSourceID="adsJK" CssClass="eitField" DataTextField="JKName"
							  DataValueField="JKID" Width="100px" SelectedValue='<%# Bind("AccountJamatkhanaID") %>'>
						   </asp:DropDownList>
						</EditItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label7" runat="server" Text='<%# Bind("JKName") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:BoundField DataField="AccountCityID" Visible="false" HeaderText="CityID:" ReadOnly="True" />
					 <asp:BoundField DataField="AccountProvinceID" HeaderText="ProvinceID:" SortExpression="AccountProvinceID"
						Visible="False" />
					 <asp:TemplateField HeaderText="Address:" SortExpression="AccountStreetAddress">
						<EditItemTemplate>
						   <asp:TextBox ID="eitStreetAddress" runat="server" Text='<%# Bind("AccountStreetAddress") %>'
							  Width="250px" CssClass="eitField"></asp:TextBox>
						   <asp:RequiredFieldValidator ID="StreetAddressValidator" runat="server" ErrorMessage="Street Address is required."
							  ControlToValidate="eitStreetAddress" Display="Dynamic" ToolTip="Street Address is required."
							  Text="*" CssClass="failureNotification"></asp:RequiredFieldValidator>
						</EditItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label1" runat="server" Text='<%# Bind("AccountStreetAddress") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:TemplateField SortExpression="CityName">
						<EditItemTemplate>
						   <asp:DropDownList ID="ddlCities" runat="server" DataSourceID="adsCities" CssClass="eitField" DataTextField="CityName"
							  DataValueField="CityID" Width="200px" SelectedValue='<%# Bind("AccountCityID") %>'>
						   </asp:DropDownList>
						</EditItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label2" runat="server" Text='<%# Bind("CityName") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:TemplateField SortExpression="ProvinceAbbreviation">
						<EditItemTemplate>
						   <asp:DropDownList ID="ddlProvinces" runat="server" DataSourceID="adsProvinces" CssClass="eitField" DataTextField="ProvinceAbbreviation"
							  DataValueField="ProvinceID" Width="100px" SelectedValue='<%# Bind("AccountProvinceID") %>'>
						   </asp:DropDownList>
						</EditItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label3" runat="server" Text='<%# Bind("ProvinceAbbreviation") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:TemplateField SortExpression="AccountPostalCode">
						<EditItemTemplate>
						   <asp:TextBox ID="eitPostalCode" runat="server" Text='<%# Bind("AccountPostalCode") %>'
							  Width="95px" CssClass="eitField"></asp:TextBox>
						   <asp:RequiredFieldValidator ID="PostalCodeValidator" runat="server" ErrorMessage="Postal Code is required."
							  Display="Dynamic" ControlToValidate="eitPostalCode" ToolTip="Postal Code is required."
							  Text="*" CssClass="failureNotification">*</asp:RequiredFieldValidator>
						   <asp:RegularExpressionValidator ID="RegexPostalCodeValidator" runat="server" ErrorMessage="Postal Code format is V6V6V6 (no spaces or hyphens)." Display="Dynamic" ControlToValidate="eitPostalCode" CssClass="failureNotification" ValidationExpression="(^([0-9]{5})$)|(^[abceghj-nprstvxyABCEGHJ-NPRSTVXY]{1}\d{1}[abceghj-nprstv-zABCEGHJ-NPRSTV-Z]{1}\d{1}[abceghj-nprstv-zABCEGHJ-NPRSTV-Z]{1}\d{1}$)" Text="*"></asp:RegularExpressionValidator>
						</EditItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label4" runat="server" Text='<%# FormatPostalCode ( Eval("AccountPostalCode"), Eval("AccountProvinceID") ) %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:TemplateField HeaderText="Phone Number:" SortExpression="AccountPhoneNumber">
						<EditItemTemplate>
						   <asp:TextBox ID="eitPhoneNumber" runat="server" Text='<%# Bind("AccountPhoneNumber") %>'
							  Width="95px" CssClass="eitField"></asp:TextBox>
						   <asp:RequiredFieldValidator ID="PhoneNumberValidator" runat="server" ErrorMessage="Phone number is required."
							  ControlToValidate="eitPhoneNumber" Display="Dynamic" ToolTip="Phone number is required."
							  Text="*" CssClass="failureNotification">*</asp:RequiredFieldValidator>
						   <asp:RegularExpressionValidator ID="RegexPhoneNumberValidator" runat="server" ErrorMessage="Telephone number format is 10 numeric digits only (no spaces, parentheses or hyphens)." Display="Dynamic" ControlToValidate="eitPhoneNumber" CssClass="failureNotification" ValidationExpression="^\d{10}$" Text="*"></asp:RegularExpressionValidator>
						</EditItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label5" runat="server" Text='<%# FormatPhoneNumber( Eval("AccountPhoneNumber") ) %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:BoundField DataField="AccountUpdateDate" HeaderText="Last updated:" 
						SortExpression="AccountUpdateDate" DataFormatString="{0:MMMM dd, yyyy h:mm tt}" 
						ReadOnly="True" />
					 <asp:BoundField DataField="AccountUpdatedUser" HeaderText="Last updated by:" ReadOnly="True" />
					 <asp:TemplateField HeaderText="Comments:" SortExpression="AccountComments">
						<EditItemTemplate>
						   <asp:TextBox ID="eitComments" runat="server" Text='<%# Bind("AccountComments") %>'
							  Width="250px" CssClass="eitField" TextMode="MultiLine" Height="50px"></asp:TextBox>
						</EditItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label1" runat="server" Text='<%# Bind("AccountComments") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
				  </Fields>
				  <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
				  <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
				  <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
				  <RowStyle BackColor="#EFF3FB" />
			   </asp:DetailsView>
			</td>
			<td valign="top" class="style59">
			   &nbsp;
			   <asp:GridView ID="gvAccountMembers" runat="server" AutoGenerateColumns="False" CellPadding="4"
				  DataSourceID="adsMembers" ForeColor="#333333" GridLines="None" 
				  Width="390px"
				  onrowupdating="gvAccountMembers_RowUpdating" 
				  onrowdatabound="gvAccountMembers_RowDataBound" DataKeyNames="MemberID" 
				  onselectedindexchanged="gvAccountMembers_SelectedIndexChanged">
				  <AlternatingRowStyle BackColor="#D0FFFF" />
				  <Columns>
					 <asp:CommandField ShowSelectButton="True" ItemStyle-Width="40px" />
					 <asp:BoundField DataField="AccountID" HeaderText="Account ID" SortExpression="AccountID"
						ReadOnly="True" Visible="false" />
					 <asp:TemplateField HeaderText="Last" SortExpression="MemberLastName">
						<ItemTemplate>
						   <asp:Label ID="Label1" runat="server" Width="40px" Text='<%# Bind("MemberLastName") %>'></asp:Label>
						</ItemTemplate>
						<HeaderStyle HorizontalAlign="Left" />
					 </asp:TemplateField>
					 <asp:TemplateField HeaderText="Middle" SortExpression="MemberMiddleName">
						<ItemTemplate>
						   <asp:Label ID="Label2" runat="server" Width="40px" Text='<%# Bind("MemberMiddleName") %>'></asp:Label>
						</ItemTemplate>
						<HeaderStyle HorizontalAlign="Left" />
					 </asp:TemplateField>
					 <asp:TemplateField HeaderText="First" SortExpression="MemberFirstName">
						<ItemTemplate>
						   <asp:Label ID="Label3" runat="server" Width="40px" Text='<%# Bind("MemberFirstName") %>'></asp:Label>
						</ItemTemplate>
						<HeaderStyle HorizontalAlign="Left" />
					 </asp:TemplateField>
					 <asp:TemplateField HeaderText="Birth" SortExpression="MemberBirthYear">
						<ItemTemplate>
						   <asp:Label ID="Label4" runat="server" Width="30px" Text='<%# Bind("MemberBirthYear") %>'></asp:Label>
						</ItemTemplate>
						<HeaderStyle HorizontalAlign="Left" />
						<ItemStyle Width="30px" />
					 </asp:TemplateField>
					 <asp:BoundField DataField="MemberID" HeaderText="Member ID" 
						InsertVisible="False" ReadOnly="True" SortExpression="MemberID" 
						Visible="False" />
					 <asp:CheckBoxField DataField="MemberPrimary" HeaderText="Primary" SortExpression="MemberPrimary"
						ReadOnly="True">
						<ItemStyle HorizontalAlign="Center" Width="30px" />
					 </asp:CheckBoxField>
					 <asp:BoundField DataField="RelationName" HeaderText="Relation" ReadOnly="True" SortExpression="RelationName" />
				  </Columns>
				  <EditRowStyle BackColor="#DDDDDD" />
				  <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
				  <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
				  <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
				  <RowStyle BackColor="#EFF3FB" />
				  <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
				  <SortedAscendingCellStyle BackColor="#F5F7FB" />
				  <SortedAscendingHeaderStyle BackColor="#6D95E1" />
				  <SortedDescendingCellStyle BackColor="#E9EBEF" />
				  <SortedDescendingHeaderStyle BackColor="#4870BE" />
			   </asp:GridView>
			</td>
			<td valign="top" class="style56" rowspan="2">
			   &nbsp;
			   <asp:DetailsView ID="dvMemberDetails" runat="server" AutoGenerateRows="False" 
				  CellPadding="4" DataKeyNames="MemberID" DataSourceID="adsMemberEdit" 
				  ForeColor="#333333" GridLines="None" HeaderText="Member Details:" Height="60px" 
				  Width="310px" AutoGenerateEditButton="True" AutoGenerateInsertButton="True"
				  onitemupdating="dvMemberDetails_ItemUpdating" 
				  ondatabound="dvMemberDetails_DataBound"  
				  onitemupdated="dvMemberDetails_ItemUpdated" 
				  oniteminserting="dvMemberDetails_ItemInserting" 
				  oniteminserted="dvMemberDetails_ItemInserted">
				  <AlternatingRowStyle BackColor="White" />
				  <CommandRowStyle BackColor="#D1DDF1" Font-Bold="True" />
				  <EditRowStyle BackColor="#DDDDDD" />
				  <FieldHeaderStyle BackColor="#DEE8F5" Font-Bold="True" Width="130px" />
				  <Fields>
					 <asp:BoundField DataField="AccountID" HeaderText="Account ID:" 
						SortExpression="AccountID" InsertVisible="False" ReadOnly="True" 
						Visible="False" />
					 <asp:BoundField DataField="MemberID" HeaderText="Member ID:" 
						InsertVisible="False" SortExpression="MemberID" ReadOnly="True" />
					 <asp:BoundField DataField="MemberStatusID" HeaderText="MemberStatusID" 
						SortExpression="MemberStatusID" InsertVisible="False" ReadOnly="True" 
						Visible="False" />
					 <asp:TemplateField HeaderText="Member status:" InsertVisible="False" 
						SortExpression="MemberStatus" HeaderStyle-Width="110px">
						<EditItemTemplate>
						   <asp:DropDownList ID="ddlMemberStatus" runat="server" 
							  DataSourceID="adsMemberStatus" CssClass="eitField" DataTextField="MemberStatus"
							  DataValueField="MemberStatusID" Width="105px" 
							  SelectedValue='<%# Bind("MemberStatusID") %>' AutoPostBack="True" 
							  onselectedindexchanged="ddlMemberStatus_SelectedIndexChanged">
						   </asp:DropDownList>
						</EditItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label6" runat="server" Text='<%# Bind("MemberStatus") %>'></asp:Label>
						</ItemTemplate>
						<HeaderStyle Width="110px" />
					 </asp:TemplateField>
					 <asp:TemplateField HeaderText="Last name:" SortExpression="MemberLastName">
						<EditItemTemplate>
						   <asp:TextBox ID="eitMemberEditLastName" runat="server" Width="105px" CssClass="eitField" Text='<%# Bind("MemberLastName") %>'></asp:TextBox>
						   <asp:RequiredFieldValidator ID="RequiredFieldValidationMemberEditLastName" 
							  runat="server" ErrorMessage="Last name of the member is required."
							  ControlToValidate="eitMemberEditLastName" Display="Dynamic" ToolTip="Last name of the member is required."
							  Text="*" CssClass="failureNotification"></asp:RequiredFieldValidator>
						</EditItemTemplate>
						<InsertItemTemplate>
						   <asp:TextBox ID="iitMemberEditLastName" runat="server" Width="105px" CssClass="eitField" Text='<%# Bind("MemberLastName") %>'></asp:TextBox>
						   <asp:RequiredFieldValidator ID="RequiredFieldValidationMemberInsertLastName" 
							  runat="server" ErrorMessage="Last name of the member is required."
							  ControlToValidate="iitMemberEditLastName" Display="Dynamic" ToolTip="Last name of the member is required."
							  Text="*" CssClass="failureNotification"></asp:RequiredFieldValidator>
						</InsertItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label1" runat="server" Width="105px" Text='<%# Bind("MemberLastName") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:TemplateField HeaderText="Middle name:" SortExpression="MemberMiddleName">
						<EditItemTemplate>
						   <asp:TextBox ID="eitMemberEditMiddleName" runat="server" 
							  Text='<%# Bind("MemberMiddleName") %>' Width="105px" CssClass="eitField" ></asp:TextBox>
						</EditItemTemplate>
						<InsertItemTemplate>
						   <asp:TextBox ID="iitMemberEditMiddleName" runat="server" 
							  Text='<%# Bind("MemberMiddleName") %>' Width="105px" CssClass="eitField" ></asp:TextBox>
						</InsertItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label2" runat="server" Text='<%# Bind("MemberMiddleName") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:TemplateField HeaderText="First name:" SortExpression="MemberFirstName">
						<EditItemTemplate>
						   <asp:TextBox ID="eitMemberEditFirstName" runat="server" Width="105px" CssClass="eitField" Text='<%# Bind("MemberFirstName") %>'></asp:TextBox>
						   <asp:RequiredFieldValidator ID="RequiredFieldValidationMemberEditFirstName" 
							  runat="server" ErrorMessage="First name of the member is required."
							  ControlToValidate="eitMemberEditFirstName" Display="Dynamic" ToolTip="First name of the member is required."
							  Text="*" CssClass="failureNotification"></asp:RequiredFieldValidator>
						</EditItemTemplate>
						<InsertItemTemplate>
						   <asp:TextBox ID="iitMemberInsertFirstName" runat="server" Width="105px" CssClass="eitField" Text='<%# Bind("MemberFirstName") %>'></asp:TextBox>
						   <asp:RequiredFieldValidator ID="RequiredFieldValidationMemberInsertFirstName" 
							  runat="server" ErrorMessage="First name of the member is required."
							  ControlToValidate="iitMemberInsertFirstName" Display="Dynamic" ToolTip="First name of the member is required."
							  Text="*" CssClass="failureNotification"></asp:RequiredFieldValidator>
						</InsertItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label3" runat="server" Text='<%# Bind("MemberFirstName") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:TemplateField HeaderText="Jamati Title:" SortExpression="JamatiTitle">
						<EditItemTemplate>
						   <asp:DropDownList ID="ddlMemberEditJamatiTitle" runat="server" DataSourceID="adsJamatiTitle" CssClass="eitField" DataTextField="JMTitle"
							  DataValueField="JMTitleID" Width="150px" SelectedValue='<%# Bind("MemberJamatiTitleID") %>'>
						   </asp:DropDownList>
						</EditItemTemplate>
						<InsertItemTemplate>
						   <asp:DropDownList ID="ddlMemberInsertJamatiTitle" runat="server" AppendDataBoundItems="True" CssClass="eitField" DataSourceID="adsJamatiTitle"
							  DataTextField="JMTitle" DataValueField="JMTitleID" Width="150px" SelectedValue='<%# Bind("MemberJamatiTitleID") %>' >
							  <asp:ListItem Value="0">- Select Title -</asp:ListItem>
						   </asp:DropDownList>
						</InsertItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label9" runat="server" Text='<%# Bind("JMTitle") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:TemplateField HeaderText="Birth year:" SortExpression="MemberBirthYear">
						<EditItemTemplate>
						   <asp:TextBox ID="eitMemberEditBirthYear" runat="server" Width="50px" CssClass="eitField" Text='<%# Bind("MemberBirthYear") %>'></asp:TextBox>
						   <asp:RequiredFieldValidator ID="RequiredFieldValidationMemberEditBirthYear" 
							  runat="server" ErrorMessage="Birth year of the member is required."
							  ControlToValidate="eitMemberEditBirthYear" Display="Dynamic" ToolTip="Birth year of the member is required."
							  Text="*" CssClass="failureNotification"></asp:RequiredFieldValidator>
						   <asp:RangeValidator ID="RangeValidatorMemberEditBirthYear" runat="server" 
							  ErrorMessage="Birth Year ranges from 1900 to current year." CssClass="failureNotification" Display="Dynamic" 
							  MinimumValue='<%# DateTime.Now.Year - 120 %>' Type="Integer" Text="*" MaximumValue='<%# DateTime.Now.Year %>' ControlToValidate="eitMemberEditBirthYear"></asp:RangeValidator>
						</EditItemTemplate>
						<InsertItemTemplate>
						   <asp:TextBox ID="iitMemberInsertBirthYear" runat="server"  Width="50px" CssClass="eitField" Text='<%# Bind("MemberBirthYear") %>'></asp:TextBox>
						   <asp:RequiredFieldValidator ID="RequiredFieldValidationMemberInsertBirthYear" 
							  runat="server" ErrorMessage="Birth year of the member is required."
							  ControlToValidate="iitMemberInsertBirthYear" Display="Dynamic" ToolTip="Birth year of the member is required."
							  Text="*" CssClass="failureNotification"></asp:RequiredFieldValidator>
						   <asp:RangeValidator ID="RangeValidatorMemberInsertBirthYear" runat="server" 
							  ErrorMessage="Birth Year ranges from 1900 to current year." CssClass="failureNotification" Display="Dynamic" 
							  MinimumValue='<%# DateTime.Now.Year - 120 %>' Type="Integer" Text="*" MaximumValue='<%# DateTime.Now.Year %>' ControlToValidate="iitMemberInsertBirthYear"></asp:RangeValidator>
						</InsertItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label4" runat="server" Text='<%# Bind("MemberBirthYear") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:CheckBoxField DataField="MemberPrimary" HeaderText="Primary:" 
						ReadOnly="True" SortExpression="MemberPrimary" InsertVisible="False" />
					 <asp:BoundField DataField="MemberGenderID" HeaderText="MemberGenderID" 
						SortExpression="MemberGenderID" InsertVisible="False" ReadOnly="True" 
						Visible="False" />
					 <asp:TemplateField HeaderText="Gender:" SortExpression="GenderName">
						<EditItemTemplate>
						   <asp:DropDownList ID="ddlMemberEditGender" runat="server" DataSourceID="adsGender" CssClass="eitField" DataTextField="GenderName"
							  DataValueField="GenderID" Width="150px" SelectedValue='<%# Bind("MemberGenderID") %>'>
						   </asp:DropDownList>
						</EditItemTemplate>
						<InsertItemTemplate>
						   <asp:DropDownList ID="ddlMemberInsertGender" runat="server" AppendDataBoundItems="True" CssClass="eitField" DataSourceID="adsGender"
							  DataTextField="GenderName" DataValueField="GenderID" Width="150px" SelectedValue='<%# Bind("MemberGenderID") %>' >
							  <asp:ListItem Value="0">- Select Gender -</asp:ListItem>
						   </asp:DropDownList>
						   &nbsp;<asp:RequiredFieldValidator ID="RequiredFieldValidatorGender" runat="server"
							  ControlToValidate="ddlMemberInsertGender" CssClass="failureNotification" Display="Dynamic"
							  ErrorMessage="Gender of the new family member is required."
							  InitialValue="0">*</asp:RequiredFieldValidator>
						</InsertItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label8" runat="server" Text='<%# Bind("GenderName") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:TemplateField HeaderText="Relationship to Primary:" SortExpression="MemberRelationID">
						<EditItemTemplate>
						   <asp:DropDownList ID="ddlMemberEditRelationships" runat="server" DataSourceID="adsRelationships" CssClass="eitField" DataTextField="RelationName"
							  DataValueField="RelationID" Width="150px" SelectedValue='<%# Bind("MemberRelationID") %>'>
						   </asp:DropDownList>
						</EditItemTemplate>
						<InsertItemTemplate>
						   <asp:DropDownList ID="ddlMemberInsertRelationships" runat="server" AppendDataBoundItems="True" CssClass="eitField" DataSourceID="adsRelationshipsSansSelf"
							  DataTextField="RelationName" DataValueField="RelationID" Width="150px" SelectedValue='<%# Bind("MemberRelationID") %>' >
							  <asp:ListItem Value="0">- Select Relationship -</asp:ListItem>
						   </asp:DropDownList>
						   &nbsp;<asp:RequiredFieldValidator ID="RequiredFieldValidatorRelationships" runat="server"
							  ControlToValidate="ddlMemberInsertRelationships" CssClass="failureNotification" Display="Dynamic"
							  ErrorMessage="Relationship of the new family member to the primary is required."
							  InitialValue="0">*</asp:RequiredFieldValidator>
						</InsertItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label7" runat="server" Text='<%# Bind("RelationName") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:TemplateField HeaderText="Deceased date:" InsertVisible="False" 
						SortExpression="MemberDeceasedDate">
						<EditItemTemplate>
						   <asp:TextBox ID="txtBoxMemberDeceasedDate" runat="server" CssClass="eitField" 
							  Text='<%# Bind("MemberDeceasedDate") %>' ReadOnly="False" Width="100px"></asp:TextBox>
						   <asp:RequiredFieldValidator ID="RequiredFieldValidationMemberEditDeceasedDate" 
							  runat="server" ErrorMessage="Deceased date of the member is required."
							  ControlToValidate="txtBoxMemberDeceasedDate" Display="Dynamic" ToolTip="Deceased date of the member is required."
							  Text="*" CssClass="failureNotification" Enabled="False"></asp:RequiredFieldValidator>
						   <asp:CalendarExtender ID="CalendarExtender1" runat="server" TargetControlID="txtBoxMemberDeceasedDate" ClearTime="True" PopupPosition="Right" >
						   </asp:CalendarExtender>
						</EditItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="lblMemberDeceasedDate" runat="server" 
							  Text='<%# Bind("MemberDeceasedDate", "{0:MMMM dd, yyyy}") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
					 <asp:BoundField DataField="MemberStatusChangeDate" HeaderText="Last updated:" 
						SortExpression="MemberStatusChangeDate" InsertVisible="False" 
						ReadOnly="True" DataFormatString="{0:MMMM dd, yyyy h:mm tt}" />
					 <asp:BoundField DataField="MemberStatusChangeBy" HeaderText="Last updated by:" 
						SortExpression="MemberStatusChangeBy" ReadOnly="True" 
						InsertVisible="False" />
					 <asp:TemplateField HeaderText="Comments:" 
						SortExpression="MemberStatusChangeComments" InsertVisible="False">
						<EditItemTemplate>
						   <asp:TextBox ID="TextBox1" runat="server" CssClass="eitField" Height="50px" 
							  Text='<%# Bind("MemberStatusChangeComments") %>' TextMode="MultiLine" 
							  Width="150px"></asp:TextBox>
						</EditItemTemplate>
						<ItemTemplate>
						   <asp:Label ID="Label5" runat="server" 
							  Text='<%# Bind("MemberStatusChangeComments") %>'></asp:Label>
						</ItemTemplate>
					 </asp:TemplateField>
				  </Fields>
				  <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
				  <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
				  <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
				  <RowStyle BackColor="#EFF3FB" />
			   </asp:DetailsView>
			   </td>
		 </tr>
		 <tr>
			<td class="style12" valign="top">
			   <asp:Panel ID="pnlReassignPrimary" runat="server" Width="326px">
				  <h4>
					 Re-assign primary member to:</h4>
				  <asp:DropDownList ID="ddlNonPrimaryMembers" runat="server" 
					 AppendDataBoundItems="True" DataSourceID="adsMembersNonPrimary" 
					 DataTextField="MemberFirstName" DataValueField="MemberID" Width="250px" 
					 CssClass="eitField">
					 <asp:ListItem Value="0">- Select new primary member -</asp:ListItem>
				  </asp:DropDownList>
				  &nbsp;&nbsp;
				  <asp:Button ID="btnReassign" runat="server" CssClass="style60" Text="Set" 
					 onclick="btnReassign_Click" Width="54px" />
			   </asp:Panel>
			</td>
		 </tr>
		 <tr>
			<td class="style13" valign="top">
			   
			</td>
			<td valign="top" class="style12">    
			</td>
			<td valign="top" class="style56">
			   &nbsp;
			</td>
		 </tr>
		 <tr>
			<td class="style13" valign="top">
			   &nbsp;</td>
			<td class="style12" valign="top">
			   &nbsp;</td>
			<td valign="top" class="style56">
			   &nbsp;</td>
		 </tr>
		 <tr>
			<td class="style13" valign="top">
			   <asp:ValidationSummary ID="ValidationSummary1" runat="server" 
				  CssClass="failureNotification" HeaderText="Validation Errors:" Width="316px" />
			</td>
			<td valign="top" class="style12"> 
			   <asp:Label ID="lblError" runat="server" CssClass="failureNotification"></asp:Label>
			</td>
			<td valign="top" class="style56">
			   <asp:ValidationSummary ID="ValidationSummary3" runat="server" 
				  CssClass="style58" HeaderText="Renewal Validation Errors:" 
				  ValidationGroup="RenewalValidationGroup" Width="402px" />
			</td>
		 </tr>
		 <tr>
			<td class="style50" valign="top">
			   &nbsp;</td>
			<td valign="top" class="style51">
			   &nbsp;
			</td>
			<td valign="top" class="style57">
			   &nbsp;
			</td>
		 </tr>
		 <tr>
			<td class="style50" valign="top">
			   &nbsp;</td>
			<td valign="top" class="style51">
			   &nbsp;
			</td>
			<td valign="top" class="style57">
			   &nbsp;
			</td>
		 </tr>
	  </table>

	  <br />
	  <br />
	  <br />
   </div>

   <div>
	  <br />
   </div>
		 <asp:AccessDataSource ID="adsJK" runat="server" DataFile="~/App_Data/Burial.mdb" 
			SelectCommand="SELECT [JKID], [JKName] FROM [Jamatkhana]">
		 </asp:AccessDataSource>

		 <asp:AccessDataSource ID="adsSearchAdmin" runat="server" DataFile="~/App_Data/Burial.mdb"
			SelectCommand="SELECT Accounts.AccountID, Members.MemberLastName, Members.MemberMiddleName, Members.MemberFirstName, Accounts.AccountRenewalYear, AccountStatus.AccountStatus, Members.MemberPrimary, Jamatkhana.JKName FROM ((((Accounts INNER JOIN AccountStatus ON Accounts.AccountStatusID = AccountStatus.AccountStatusID) INNER JOIN Members ON Accounts.AccountID = Members.AccountID) INNER JOIN MemberStatus ON Members.MemberStatusID = MemberStatus.MemberStatusID) INNER JOIN Jamatkhana ON Accounts.AccountJamatkhanaID = Jamatkhana.JKID) WHERE (@TempLastName IS NULL OR Members.MemberLastName LIKE '%' + @TempLastName + '%') AND (@TempFirstName IS NULL OR Members.MemberFirstName LIKE '%' + @TempFirstName + '%') AND (@TempJamatkhanaID = 0 OR Accounts.AccountJamatkhanaID = @TempJamatkhanaID) AND (@TempAccountID IS NULL OR Accounts.AccountID LIKE '%' + @TempAccountID + '%') AND (@QSTempAccountID IS NULL OR Accounts.AccountID = @QSTempAccountID) AND (@TempPhoneNumber IS NULL OR Accounts.AccountPhoneNumber LIKE '%' + @TempPhoneNumber + '%') AND (Members.MemberStatusID = 1) AND (Accounts.AccountStatusID = 1) ORDER BY Accounts.AccountID"
			CancelSelectOnNullParameter="False" OnSelecting="adsSearchAdmin_Selecting">
			<SelectParameters>
			   <asp:ControlParameter ControlID="txtBoxLastName" Name="MemberLastName" Type="String" />
			   <asp:ControlParameter ControlID="txtBoxFirstName" Name="MemberFirstName" Type="String" />
			   <asp:ControlParameter ControlID="ddlJamatkhana" Name="AccountJamatkhanaID" Type="Int32" />
			   <asp:ControlParameter ControlID="txtBoxAccountID" Name="AccountID" Type="String" />
			   <asp:QueryStringParameter Name="AccountID" QueryStringField="id" />
			   <asp:ControlParameter ControlID="txtBoxTelephone" Name="AccountPhoneNumber" Type="String" />
			</SelectParameters>
		 </asp:AccessDataSource>

   <asp:AccessDataSource ID="adsAccount" runat="server" DataFile="~/App_Data/Burial.mdb"
	  SelectCommand="SELECT Accounts.AccountID, Accounts.AccountJamatkhanaID, Accounts.AccountStatusID, Accounts.AccountRenewalYear, Accounts.AccountPhoneNumber, Accounts.AccountStreetAddress, Accounts.AccountCityID, Accounts.AccountProvinceID, Accounts.AccountPostalCode, Accounts.AccountUpdateDate , Accounts.AccountUpdatedUser, Accounts.AccountComments, AccountStatus.AccountStatus, Jamatkhana.JKName, City.CityName, Province.ProvinceAbbreviation FROM ((((Accounts INNER JOIN AccountStatus ON Accounts.AccountStatusID = AccountStatus.AccountStatusID) INNER JOIN Jamatkhana ON Accounts.AccountJamatkhanaID = Jamatkhana.JKID) INNER JOIN City ON Accounts.AccountCityID = City.CityID) INNER JOIN Province ON Accounts.AccountProvinceID = Province.ProvinceID) WHERE (Accounts.AccountID = ?)" 
	  ConflictDetection="CompareAllValues" 
	  OldValuesParameterFormatString="original_{0}"      
	  
	  UpdateCommand="UPDATE Accounts SET AccountJamatkhanaID = ?, AccountStatusID = ?, AccountStreetAddress = ?, AccountCityID = ?, AccountProvinceID = ?, AccountPostalCode = ?, AccountPhoneNumber = ?, AccountUpdateDate = ?, AccountUpdatedUser = ?, AccountComments = ? WHERE (AccountID = original_AccountID) AND (AccountJamatkhanaID = original_AccountJamatkhanaID) AND (AccountStatusID = original_AccountStatusID) AND (AccountStreetAddress = original_AccountStreetAddress) AND (AccountCityID = original_AccountCityID) AND (AccountProvinceID = original_AccountProvinceID) AND (AccountPostalCode = original_AccountPostalCode) AND (AccountPhoneNumber = original_AccountPhoneNumber)" 
	  onupdated="adsAccount_Updated">
	  <SelectParameters>
		 <asp:ControlParameter ControlID="gvAccountSearch" Name="AccountID" PropertyName="SelectedValue"
			Type="Int32" DefaultValue="0" />
	  </SelectParameters>
	  <UpdateParameters>
		 <asp:Parameter Name="AccountJamatkhanaID" Type="Int32" />
		 <asp:Parameter Name="AccountStatusID" Type="Int32" />
		 <asp:Parameter Name="AccountStreetAddress" Type="String" />
		 <asp:Parameter Name="AccountCityID" Type="Int32" />
		 <asp:Parameter Name="AccountProvinceID" Type="Int32" />
		 <asp:Parameter Name="AccountPostalCode" Type="String" />
		 <asp:Parameter Name="AccountPhoneNumber" Type="String" />
		 <asp:Parameter Name="AccountUpdateDate" Type="Object" />
		 <asp:Parameter Name="AccountUpdatedUser" Type="String" />
		 <asp:Parameter Name="AccountComments" Type="String" />
		 <asp:Parameter Name="AccountID" Type="Int32" />
		 <asp:Parameter Name="original_AccountID" Type="Int32" />
		 <asp:Parameter Name="original_AccountJamatkhanaID" Type="Int32" />
		 <asp:Parameter Name="original_AccountStatusID" Type="Int32" />
		 <asp:Parameter Name="original_AccountStreetAddress" Type="String" />
		 <asp:Parameter Name="original_AccountCityID" Type="Int32" />
		 <asp:Parameter Name="original_AccountProvinceID" Type="Int32" />
		 <asp:Parameter Name="original_AccountPostalCode" Type="String" />
		 <asp:Parameter Name="original_AccountPhoneNumber" Type="String" />
	  </UpdateParameters>
   </asp:AccessDataSource>

   <asp:AccessDataSource ID="adsMembers" runat="server" DataFile="~/App_Data/Burial.mdb"
	  SelectCommand="SELECT Members.MemberLastName, Members.MemberMiddleName, Members.MemberFirstName, Members.MemberBirthYear,  Members.MemberPrimary, Members.AccountID, Members.MemberID, Relation.RelationName FROM ((Members INNER JOIN MemberStatus ON Members.MemberStatusID = MemberStatus.MemberStatusID) INNER JOIN Relation ON Members.MemberRelationID = Relation.RelationID) WHERE (Members.AccountID = ?) AND (Members.MemberStatusID = 1) ORDER BY Members.MemberPrimary, Members.MemberBirthYear">
	  <SelectParameters>
		 <asp:ControlParameter ControlID="gvAccountSearch" Name="AccountID" PropertyName="SelectedValue"
			Type="Int32" />
	  </SelectParameters>

   </asp:AccessDataSource>

   <asp:AccessDataSource ID="adsCities" runat="server" DataFile="~/App_Data/Burial.mdb"
	  SelectCommand="SELECT [CityID], [CityName] FROM [City]"></asp:AccessDataSource>

   <asp:AccessDataSource ID="adsProvinces" runat="server" DataFile="~/App_Data/Burial.mdb"
	  SelectCommand="SELECT [ProvinceID], [ProvinceAbbreviation] FROM [Province] ORDER BY [ProvinceID]">
   </asp:AccessDataSource>

   <asp:AccessDataSource ID="adsAccountStatus" runat="server"  DataFile="~/App_Data/Burial.mdb" 
	  SelectCommand="SELECT [AccountStatusID], [AccountStatus] FROM [AccountStatus]">
   </asp:AccessDataSource>

   <asp:AccessDataSource ID="adsMemberEdit" runat="server" 
	  DataFile="~/App_Data/Burial.mdb" 
	  
	  SelectCommand="SELECT Members.AccountID, Members.MemberID, Members.MemberFirstName, Members.MemberMiddleName, Members.MemberLastName, Members.MemberBirthYear, Members.MemberGenderID, Gender.GenderName, Members.MemberRelationID, Relation.RelationName, Members.MemberStatusID, MemberStatus.MemberStatus, Members.MemberStatusChangeDate, Members.MemberStatusChangeBy, Members.MemberStatusChangeComments, Members.MemberPrimary, Members.MemberDeceasedDate, Members.MemberJamatiTitleID, JamatiTitle.JMTitle FROM ((((Members INNER JOIN MemberStatus ON Members.MemberStatusID = MemberStatus.MemberStatusID) INNER JOIN Relation ON Members.MemberRelationID = Relation.RelationID) INNER JOIN Gender ON Members.MemberGenderID = Gender.GenderID) INNER JOIN JamatiTitle ON Members.MemberJamatiTitleID = JamatiTitle.JMTitleID) WHERE (Members.MemberID = ?)" 
	  ConflictDetection="CompareAllValues" 
	  OldValuesParameterFormatString="original_{0}" 
	  
	  UpdateCommand="UPDATE Members SET MemberLastName = ?, MemberMiddleName = ?, MemberFirstName = ?, MemberBirthYear = ?, MemberGenderID = ?, MemberStatusID = ?, MemberRelationID = ?, MemberStatusChangeComments = ?, MemberStatusChangeDate = ?, MemberStatusChangeBy = ?, MemberDeceasedDate = ?, MemberJamatiTitleID = ? WHERE (MemberLastName = original_MemberLastName) AND (MemberFirstName = original_MemberFirstName) AND (MemberBirthYear = original_MemberBirthYear)" 
	  onupdated="adsMemberEdit_Updated" 
	  InsertCommand="INSERT INTO Members (AccountID, MemberLastName, MemberMiddleName, MemberFirstName, MemberBirthYear, MemberGenderID, MemberRelationID, MemberStatusID, MemberPrimary, MemberStatusChangeDate, MemberStatusChangeBy, MemberStatusChangeComments, MemberJamatiTitleID) VALUES (@AccountID, @MemberLastName, @MemberMiddleName, @MemberFirstName, @MemberBirthYear, @MemberGenderID, @MemberRelationID, @MemberStatusID, @MemberPrimary, @MemberStatusChangeDate, @MemberStatusChangeBy, @MemberStatusChangeComments, @MemberJamatiTitleID)">
	  <InsertParameters>
		 <asp:Parameter Type="Int32" Name="AccountID" />
		 <asp:Parameter Type="String" Name="MemberLastName" />
		 <asp:Parameter Type="String" Name="MemberMiddleName" />
		 <asp:Parameter Type="String" Name="MemberFirstName" />
		 <asp:Parameter Type="Int32" Name="MemberBirthYear" />
		 <asp:Parameter Type="Int32" Name="MemberGenderID" />
		 <asp:Parameter Type="Int32" Name="MemberRelationID" />
		 <asp:Parameter Type="Int32" Name="MemberStatusID" />
		 <asp:Parameter Type="Boolean" Name="MemberPrimary" />
		 <asp:Parameter Type="Object" Name="MemberStatusChangeDate" />
		 <asp:Parameter Type="String" Name="MemberStatusChangeBy" />
		 <asp:Parameter Type="String" Name="MemberStatusChangeComments" />
		 <asp:Parameter Type="Int32" Name="MemberJamatiTitleID" />
	  </InsertParameters>
	  <SelectParameters>
		 <asp:ControlParameter ControlID="gvAccountMembers" DefaultValue="0" Name="?" 
			PropertyName="SelectedValue" />
	  </SelectParameters>
	  <UpdateParameters>
		 <asp:Parameter Name="MemberLastName" Type="String" />
		 <asp:Parameter Name="MemberMiddleName" Type="String" />
		 <asp:Parameter Name="MemberFirstName" Type="String" />
		 <asp:Parameter Name="MemberBirthYear" Type="Int32" />
		 <asp:Parameter Name="MemberGenderID" Type="Int32" />
		 <asp:Parameter Name="MemberStatusID" Type="Int32" />
		 <asp:Parameter Name="MemberRelationID" Type="Int32" />
		 <asp:Parameter Name="MemberStatusChangeComments" Type="String" />
		 <asp:Parameter Name="MemberStatusChangeDate" Type="Object" />
		 <asp:Parameter Name="MemberStatusChangeBy" Type="String" />
		 <asp:Parameter Name="MemberDeceasedDate" Type="Object" />
		 <asp:Parameter Name="MemberJamatiTitleID" Type="Int32" />
		 <asp:Parameter Name="original_MemberLastName" Type="String" />
		 <asp:Parameter Name="original_MemberFirstName" Type="String" />
		 <asp:Parameter Name="original_MemberBirthYear" Type="Int32" />
	  </UpdateParameters>
   </asp:AccessDataSource>

   <asp:AccessDataSource ID="adsMemberStatus" runat="server"  DataFile="~/App_Data/Burial.mdb" 
	  SelectCommand="SELECT [MemberStatusID], [MemberStatus] FROM [MemberStatus]">
   </asp:AccessDataSource>

   <asp:AccessDataSource ID="adsRelationships" runat="server"  DataFile="~/App_Data/Burial.mdb" 
	  SelectCommand="SELECT [RelationID], [RelationName] FROM [Relation]">
   </asp:AccessDataSource>

   <asp:AccessDataSource ID="adsRelationshipsSansSelf" runat="server"  DataFile="~/App_Data/Burial.mdb"       
	  SelectCommand="SELECT RelationID, RelationName FROM Relation WHERE (RelationID &lt;&gt; 1)">
   </asp:AccessDataSource>

   <asp:AccessDataSource ID="adsGender" runat="server" DataFile="~/App_Data/Burial.mdb"
	  SelectCommand="SELECT [GenderID], [GenderName] FROM [Gender] ORDER BY [GenderID]">
   </asp:AccessDataSource>

   <asp:AccessDataSource ID="adsJamatiTitle" runat="server" DataFile="~/App_Data/Burial.mdb"
	  SelectCommand="SELECT JMTitleID, JMTitle FROM JamatiTitle ORDER BY JMTitle">
   </asp:AccessDataSource>

   <asp:AccessDataSource ID="adsMembersNonPrimary" runat="server" DataFile="~/App_Data/Burial.mdb"
	  SelectCommand="SELECT Members.MemberFirstName, Members.MemberID FROM Members WHERE (Members.AccountID = ?) AND (Members.MemberStatusID = 1) AND (Members.MemberPrimary = FALSE) ORDER BY Members.MemberBirthYear">
	  <SelectParameters>
		 <asp:ControlParameter ControlID="gvAccountSearch" Name="AccountID" PropertyName="SelectedValue"
			Type="Int32" />
	  </SelectParameters>


   </asp:AccessDataSource>
   </ContentTemplate>
   </asp:UpdatePanel>

   <asp:UpdateProgress ID="UpdateProgress1" runat="server" DisplayAfter="200" AssociatedUpdatePanelID="UpdatePanel1">
	  <ProgressTemplate>
		 <div class="PleaseWait">
			Please wait ...
		 </div>
	  </ProgressTemplate>
   </asp:UpdateProgress>

</asp:Content>
