﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
   CodeFile="Faq.aspx.cs" Inherits="Faq" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="Server">
    <style type="text/css">
        .style1
        {
            text-align: center;
        }
        .style2
        {
            font-weight: normal;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
   <h2 class="style1">
       FREQUENTLY ASKED QUESTIONS (FAQ)
       <br />
       Burial Expense and Relief Plan (BERP) 2012 Year
   </h2>
   <h3>
       <strong>WHAT ARE THE COSTS FOR THE CURRENT YEAR? </strong>
   </h3>
   <p>
       Single = $95/year&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Couple = 
       $190/year&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Family = $250/year
   </p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>WHY IS BC THE HIGHEST COST IN THE COUNTRY?</strong></h3>
   <p>
       BC is the most expensive province to be buried in as the cost of the burial is 
       very high.
   </p>
    <p>
        Our local rate structure ensures that we meet our local costs and continue to 
        proactively look into the future while pre-purchasing lots.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>WHO SHOULD PARTICIPATE IN THE PLAN?</strong></h3>
   <p>
       In order to ensure the future sustainability of the plan, we need 100% 
       participation from the Jamat.
   </p>
    <p>
        Everyone should register for the plan regardless of age and health conditions.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>WHY HAVE THE RATES INCREASED IN THE CURRENT YEAR?</strong></h3>
   <p>
       BC has the highest cost in the country for burial lots and service charges. In 
       order to ensure the future sustainability of the plan, we need to ensure that we 
       are covering our current service costs and the cost of ensuring that we have 
       lots for the future Jamat.
   </p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>WHAT ARE SERVICE COSTS?</strong></h3>
    <p>
        Service costs include:
    </p>
    <ul>
        <li>Professional fees to handle the deceased </li>
        <li>Plaque</li>
    </ul>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>IS THERE A CURRENT SHORTAGE OF LOTS?</strong></h3>
   <p>
       We currently have a 3-4 year supply of lots at Forest Lawn. Forest Lawn has 
       limited amount of land available and is not in a position to offer us a large 
       number of lots for the future. Even if lots were available, the cost would be 
       substantially higher to acquire additional lots at Forest Lawn. The Local 
       Council and Mayat committee are exploring other opportunities while keeping in 
       mind the future sustainability and affordability of the plan.</p>
    <p>
        We need to ensure that we have a 5 to 10 year supply at all times and as a 
        result have purchased lots in the current year to ensure that we have enough 
        inventory on hand for the future.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>WHERE WILL THE NEW LOTS BE?</strong></h3>
   <p>
       Victory Memorial Park 14831 - 28th Avenue, Surrey, B.C.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>HOW LONG IS THE DRIVE FROM BBL JK TO THE NEW LOTS?</strong></h3>
   <p>
       The drive from Burnaby Lake Jamatkhana to the new lots is approximately 30 
       minutes.</p>
    <p>
      &nbsp;</p>
   <h3 class="style2">
       <strong>WHEN ARE WE EXPECTING TO MOVE TO THE NEW LOCATION?</strong></h3>
   <p>
       Based on the lots that we currently have on hand and the rate of deaths that are 
       occurring in the Jamat, we are expecting that in 2015, we will need to move to 
       the new lots.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>WHAT IS THE CURRENT COST OF A FUNERAL TODAY IF WE ARE NOT COVERED UNDER 
       THE PLAN?</strong></h3>
   <p>
       The approximate cost for a funeral today at Market Value is approximately 
       $17,000. This price will only continue to rise in the future as the cost of 
       burial plots and the cost of services increases annually.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>DO YOU KNOW WHAT CPP PAYS TOWARDS A FUNERAL AND HOW TO CLAIM IT?</strong></h3>
   <p>
       CPP pays up to $2,500 for those who qualify. These benefits are paid only to 
       those who apply. Although back payments may be made, failure to apply within a 
       year of the death Year 3 of 4 will result in lost benefits. Applications may be 
       made to Health and Welfare Canada. You will also have to fill out an application 
       form. Application kits are available from our website, from any Service Canada 
       Centre, and from many funeral homes. Or you can call 1 800 277-9914 to have a 
       kit mailed to you. See
       <a href="http://www.servicecanada.gc.ca/eng/isp/cpp/survivor.shtml">
       http://www.servicecanada.gc.ca/eng/isp/cpp/survivor.shtml</a></p>
    <p>
        &nbsp;</p>

   <h3 class="style2">
       <strong>WHAT IS INCLUDED IN THE COST OF A FUNERAL?</strong></h3>
   <ul>
      <li>Lot </li>
       <li>Plaque </li>
       <li>Local Transportation </li>
       <li>Professional Services </li>
       <li>Grave Services </li>
       <li>Liner </li>
       <li>Shroud </li>
       <li>Flowers </li>
       <li>Death Certificate</li>
   </ul>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>WHY SHOULD I PARTICIPATE IN THE PROGRAM?</strong></h3>
    <ul>
        <li>To ensure that you financially protect your family and their financial future
        </li>
        <li>To ensure that upon your death or a member of your family, the family has time 
            to grieve and not worry about the arrangements </li>
        <li>For the continued success of the plan. </li>
        <li>To ensure that the Jamat and its members are covered and protected in the event 
            of death</li>
    </ul>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>HOW MANY DEATHS OCCUR IN BC?</strong></h3>
   <p>
       There are approximately 100 deaths, in our Jamat, per year in BC.</p>
    <p>
        As the baby boomer population ages, we can assume that this number will increase 
        over the next few years.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>DO YOU KNOW WHAT HAPPENS WHEN THERE IS A DEATH IN THE COMMUNITY?</strong></h3>
   <p>
       When a death occurs, the Mayat Committee gets involved immediately to support 
       the family with all the Jamati arrangements, allowing the family time to grieve.
   </p>
    <p>
        The Mayat Committee arranges the funeral, including religious, administrative, 
        family guidance, burial services, etc.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>I AM YOUNG AND HEALTHY, WHY DO I NEED TO REGISTER?</strong></h3>
   <p>
      Reservations cannot be made for the lots. It is based on first-come-first-serve
      therefore upon your death if there are lots available at Forest Lawn then you will
      be buried there.Death can occur at any age and it is important to be involved in 
       the plan. In the event of your death, your family can focus on grieving, rather 
       than being overwhelmed by the financial obligations.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>CAN WE RESERVE A LOT AT FOREST LAWN?</strong></h3>
   <p>
       Reservations cannot be made for the lots. It is based on first-come-first-serve 
       therefore upon your death if there are lots available at Forest Lawn then you 
       will be buried there.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>IF I HAVE LIFE INSURANCE TO PAY FOR MY FUNERAL COSTS, WHY WOULD I STILL 
       REGISTER IN THE PLAN</strong></h3>
   <p>
       An insurance policy can take some time to go through probate therefore the 
       family will have to cover the expenses upfront and then be reimbursed once the 
       insurance and estate are settled.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>IS CREMATION COVERED</strong></h3>
   <p>
       Cost of cremations is not covered as cremation is not part of our tariqah and 
       practices.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>AM I COVERED IF I DIE OUTSIDE OF BC</strong></h3>
   <p>
       Yes. If you are to be buried outside BC, the local plan will pay up to a maximum 
       pre-determined amount.
   </p>
    <p>
        If you are to be buried in BC, the transportation costs to bring the deceased to 
        BC are the responsibility of the family.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>ARE COMMON LAW COUPLES ELIGIBLE FOR THE PLAN</strong></h3>
   <p>
       No. Common law is not recognized within our tariqah.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>ARE SAME SEX COUPLES ELIGIBLE FOR THE PLAN</strong></h3>
   <p>
       No. Same sex couples are not recognized within our tariqah.</p>
    <p>
        &nbsp;</p>
   <h3 class="style2">
       <strong>WHY ARE BERP FEES AND JSF FEES NOT COLLECTED TOGETHER</strong></h3>
   <p>
       The Burial Expense Relief Program is a self-contained program. Funds collected 
       for this program are not used outside the burial program.</p>
    <p>
        &nbsp;</p>
</asp:Content>
