﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.DynamicData;

namespace TicketCenter_Data
{
    //  Attach the DailySaleMetadata to the DailySale class
    [MetadataType(typeof(JKMetadata))]
    [DisplayColumn("Name", "Name", false)]
    public partial class JK
    {
    }

    [TableName("JK")]
    public class JKMetadata
    {
        //Override the display name
        [DisplayName("Transfer Out")]
        public object TransferLogs { get; set; }

        [DisplayName("Transfer In")]
        public object TransferLogs1 { get; set; }

        [DisplayName("Daily Sales")]
        public object DailySales { get; set; }

        [DisplayName("Tickets Allocation")]
        public object TicketsAllocations { get; set; }
    }
}
