﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Web.DynamicData;

namespace TicketCenter_Data
{
    //  Attach the TicketsAllocationMetadata to the TicketsAllocation class
    [MetadataType(typeof(TicketsAllocationMetadata))]
    public partial class TicketsAllocation
    {
    }

    [TableName("Ticket Allocation")]
    public class TicketsAllocationMetadata
    {
        // Override the display name
        [DisplayName("Tickets Issued")]
        public object TicketsIssued { get; set; }

        [DisplayName("TotalTickets Sold")]
        public object TotalTicketsSold { get; set; }

        [DisplayName("Tickets Commited")]
        public object TicketsCommited { get; set; }

    }
}
