<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ProjectList.aspx.cs" Inherits="ProjectList" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Project List</title>
    <script language="javascript">
        if(self.location==top.location)self.location="Default.html";
    </script>
    <link href="styles/StyleSheet.css" rel="stylesheet" type="text/css" />
</head>
<body background="Images/CFBC-logo2.gif">
    <form id="form1" runat="server">
    <div>
        <asp:SqlDataSource ID="ds" runat="server" ConnectionString="<%$ ConnectionStrings:cnPPDB %>" SelectCommand="mspProjectGetByYear" SelectCommandType="StoredProcedure">
            <SelectParameters>
                <asp:QueryStringParameter DefaultValue="0" Name="ProjectYear" QueryStringField="projectyear"
                    Type="Int32" />
            </SelectParameters>
        </asp:SqlDataSource>
        
        <asp:GridView ID="GridView1" runat="server"
            AutoGenerateColumns="False" CellPadding="2" DataKeyNames="ProjectID"
            ForeColor="#333333" GridLines="Vertical" OnSelectedIndexChanged="GridView1_SelectedIndexChanged" 
            Style="z-index: 100; left: 37px; position: absolute; top: 17px;" 
            OnRowDataBound="GridView1_RowDataBound" AllowSorting="True" PageSize="100" DataSourceID="ds" >
            
            <SelectedRowStyle BackColor="Beige" Font-Bold="False" ForeColor="#333333"/>
            <FooterStyle BackColor="#1F314F" ForeColor="White" Font-Bold="True" />
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" Height="40px" />
            <AlternatingRowStyle BackColor="White"  CssClass="oddRow" />
            <PagerStyle BackColor="#1F314F" ForeColor="White" Font-Bold="True" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#1F314F"   ForeColor="White"/>
           
            <Columns>
                <asp:BoundField DataField="ProjectID" HeaderText="DBID" InsertVisible="False"
                    ReadOnly="True" SortExpression="ProjectID" Visible="False" />
                <asp:CommandField ShowSelectButton="True" ButtonType="Image" SelectImageUrl="Images/arrow.png" >
                    <ControlStyle Height="12px" Width="10px" />
                </asp:CommandField>
                
                <asp:BoundField DataField="ProposedProjectDate" HeaderText="Date" SortExpression="ProposedProjectDate" >
                    <ItemStyle Width="68px" Wrap="False" />
                </asp:BoundField>
                
                <asp:BoundField DataField="PPStatus" HeaderText="Status" SortExpression="PPStatusID" >
                    <ItemStyle Width="80px" Wrap="True" />
                </asp:BoundField>
                
                <asp:BoundField DataField="COENumber" HeaderText="PP #" SortExpression="COENumber" >
                    <ItemStyle Width="30px" Wrap="False" />
                </asp:BoundField>
                               
                <asp:BoundField DataField="ProjectTitle" HeaderText="Title" SortExpression="ProjectTitle" >
                    <ItemStyle Width="200px" Wrap="True" />
                </asp:BoundField>
                
                <asp:BoundField DataField="TargetSegmentName" HeaderText="Primary Target" SortExpression="TargetSegmentName" >
                    <ItemStyle Width="200px" Wrap="True" />
                </asp:BoundField>
                
                <asp:BoundField DataField="BoardPortfolioName" HeaderText="Board/Portfolio"
                    SortExpression="BoardPortfolioName" >
                    <ItemStyle Width="130px" Wrap="True" />
                </asp:BoundField>
                
                <asp:BoundField DataField="ModifiedOn" HeaderText="Modified" SortExpression="ModifiedOn" >
                    <ItemStyle Width="90px" Wrap="True" />
                </asp:BoundField>
                
                <asp:BoundField DataField="ModifiedBy" HeaderText="Modified By" SortExpression="ModifiedBy" >
                    <ItemStyle Width="90px" Wrap="True" />
                </asp:BoundField>
            </Columns>
        </asp:GridView>
    </div>
    </form>
</body>
</html>
